<?php 
class newpricelist extends Module {
	function __construct(){
		$this->name = 'newpricelist';
        $this->author = 'inform-all.nl';
		$this->tab = 'Other';
		$this->version = '1';
        $this->module_key = '';
        $this->dir = '/modules/newpricelist/';
		parent::__construct();
		$this->displayName = $this->l('New Price List');
		$this->description = $this->l('Upate your prices with only the reference# also for combination products. Developed by inform-all.nl');
		$this->tab = 'Admin';
	}

	public function viewAccess($disable = false){
	        $result = true;
	        return $result;
	}
   

	public function install(){
		  if (Shop::isFeatureActive())
		    Shop::setContext(Shop::CONTEXT_ALL);
		 
		  if (!parent::install() ||
		    !$this->registerHook('leftColumn') ||
		    !$this->registerHook('header') ||
		    !Configuration::updateValue('newpricelist', 'new price list')
		  )
		    return false;
		 
		  return true;
	}
	

	public function uninstall(){
		  if (!parent::uninstall())
		    return false;
		  return true;
	}
	
	public function psversion() {
		$version=_PS_VERSION_;
		$exp=$explode=explode(".",$version);
		return $exp[1];
	}


	public function displayForm(){
		return '';
	}    
    /**
     * Copie du contenu d'un dossier vers un autre emplacement
     * @param string $dir2copy : Chemin du dossier à copier
     * @param string $dir_paste : Chemin vers lequel copier le dossier
     * @return void
     */
    public function copyDir($dir2copy, $dir_paste) {
        if (is_dir($dir2copy)) {
            if ($dhd = opendir($dir2copy)) {
                while (($file = readdir($dhd)) !== false) {
                    if (!is_dir($dir_paste))
                        $create_dir = mkdir($dir_paste, 0777);
                    if (is_dir($dir2copy . $file) && $file != '..' && $file != '.')
                        $this->copyDir($dir2copy . $file . '/', $dir_paste . $file . '/');
                    elseif ($file != '..' && $file != '.')
                        $copy_file = copy($dir2copy . $file, $dir_paste . $file);
                }
                closedir($dhd);
            }
        }
    }
	
}
?>